<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>KITProstheticHandWidget</class>
 <widget class="QWidget" name="KITProstheticHandWidget">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>645</width>
    <height>1006</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>KITProstheticHandWidget</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_6">
   <item>
    <layout class="QVBoxLayout" name="verticalLayout_2">
     <item>
      <widget class="QScrollArea" name="scrollArea">
       <property name="widgetResizable">
        <bool>true</bool>
       </property>
       <widget class="QWidget" name="scrollAreaWidgetContents">
        <property name="geometry">
         <rect>
          <x>0</x>
          <y>0</y>
          <width>623</width>
          <height>984</height>
         </rect>
        </property>
        <layout class="QVBoxLayout" name="verticalLayout_3">
         <property name="leftMargin">
          <number>0</number>
         </property>
         <property name="topMargin">
          <number>0</number>
         </property>
         <property name="rightMargin">
          <number>0</number>
         </property>
         <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
          <widget class="QGroupBox" name="groupBox">
           <property name="title">
            <string>De&amp;vice</string>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout">
            <property name="topMargin">
             <number>0</number>
            </property>
            <property name="rightMargin">
             <number>0</number>
            </property>
            <property name="bottomMargin">
             <number>0</number>
            </property>
            <item>
             <widget class="QWidget" name="widget_3" native="true">
              <layout class="QFormLayout" name="formLayout_2">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <property name="rightMargin">
                <number>0</number>
               </property>
               <property name="bottomMargin">
                <number>0</number>
               </property>
               <item row="0" column="0">
                <widget class="QLabel" name="label_2">
                 <property name="text">
                  <string>Status</string>
                 </property>
                </widget>
               </item>
               <item row="0" column="1">
                <widget class="QLabel" name="labelStatus">
                 <property name="text">
                  <string>Disconnected - No connection attempt</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="0">
                <widget class="QLabel" name="label">
                 <property name="text">
                  <string>Mac address</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="0">
                <widget class="QLabel" name="label_4">
                 <property name="text">
                  <string>Adapter</string>
                 </property>
                </widget>
               </item>
               <item row="3" column="0">
                <widget class="QLabel" name="label_5">
                 <property name="text">
                  <string>Handler period [us]</string>
                 </property>
                </widget>
               </item>
               <item row="3" column="1">
                <widget class="QSpinBox" name="spinBoxHandlerPeriod">
                 <property name="minimum">
                  <number>1</number>
                 </property>
                 <property name="maximum">
                  <number>1000000</number>
                 </property>
                 <property name="singleStep">
                  <number>100</number>
                 </property>
                 <property name="value">
                  <number>1000</number>
                 </property>
                </widget>
               </item>
               <item row="2" column="1">
                <widget class="QLineEdit" name="lineEditAdapter">
                 <property name="text">
                  <string>auto</string>
                 </property>
                </widget>
               </item>
               <item row="4" column="0">
                <widget class="QLabel" name="label_6">
                 <property name="text">
                  <string>Connection timeout [s]</string>
                 </property>
                </widget>
               </item>
               <item row="4" column="1">
                <widget class="QSpinBox" name="spinBoxConnectionTimeout">
                 <property name="minimum">
                  <number>1</number>
                 </property>
                 <property name="maximum">
                  <number>600</number>
                 </property>
                 <property name="value">
                  <number>4</number>
                 </property>
                </widget>
               </item>
               <item row="5" column="0">
                <widget class="QLabel" name="label_3">
                 <property name="text">
                  <string>Protocol</string>
                 </property>
                </widget>
               </item>
               <item row="5" column="1">
                <widget class="QComboBox" name="comboBoxProtocol">
                 <property name="currentIndex">
                  <number>0</number>
                 </property>
                 <item>
                  <property name="text">
                   <string>V1 - TposTpwmFposFpwm</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>V2 - MxPosPwm</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>V3 - BInary</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item row="6" column="0" colspan="2">
                <layout class="QHBoxLayout" name="horizontalLayout">
                 <item>
                  <spacer name="horizontalSpacer">
                   <property name="orientation">
                    <enum>Qt::Horizontal</enum>
                   </property>
                   <property name="sizeHint" stdset="0">
                    <size>
                     <width>40</width>
                     <height>20</height>
                    </size>
                   </property>
                  </spacer>
                 </item>
                 <item>
                  <widget class="QPushButton" name="pushButtonConnect">
                   <property name="text">
                    <string>Connect</string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QPushButton" name="pushButtonDisconnect">
                   <property name="enabled">
                    <bool>false</bool>
                   </property>
                   <property name="text">
                    <string>Disconnect</string>
                   </property>
                  </widget>
                 </item>
                </layout>
               </item>
               <item row="1" column="1">
                <widget class="QComboBox" name="comboBoxMacAddress">
                 <property name="editable">
                  <bool>true</bool>
                 </property>
                 <item>
                  <property name="text">
                   <string>DF:70:E8:81:DB:D6 - V1</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>DF:A2:F5:48:E7:50 - ARCHES_DLR</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>E2:D4:89:F6:1E:1D - ARCHES_H2T</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>C0:59:FC:0F:6B:B5 - V2.2</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>CB:43:34:8F:3C:0A - V2.3</string>
                  </property>
                 </item>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
           </layout>
          </widget>
         </item>
         <item>
          <widget class="QGroupBox" name="groupBoxIce">
           <property name="title">
            <string>Iceserver</string>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_5">
            <property name="topMargin">
             <number>0</number>
            </property>
            <property name="rightMargin">
             <number>0</number>
            </property>
            <property name="bottomMargin">
             <number>0</number>
            </property>
            <item>
             <widget class="QWidget" name="widget_4" native="true">
              <layout class="QFormLayout" name="formLayout">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <property name="rightMargin">
                <number>0</number>
               </property>
               <property name="bottomMargin">
                <number>0</number>
               </property>
               <item row="2" column="0">
                <widget class="QLabel" name="label_18">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Port</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="1">
                <widget class="QSpinBox" name="spinBoxIcePort">
                 <property name="minimum">
                  <number>1024</number>
                 </property>
                 <property name="maximum">
                  <number>65535</number>
                 </property>
                 <property name="value">
                  <number>10000</number>
                 </property>
                </widget>
               </item>
               <item row="4" column="0" colspan="2">
                <widget class="Line" name="line_5">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
                 </property>
                </widget>
               </item>
               <item row="0" column="0">
                <widget class="QLabel" name="label_20">
                 <property name="text">
                  <string>Ice identity</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="0">
                <widget class="QLabel" name="label_19">
                 <property name="text">
                  <string>Adapter name</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="1">
                <widget class="QLineEdit" name="lineEditAdapterName">
                 <property name="text">
                  <string>KITProsthesisControlAdapter</string>
                 </property>
                </widget>
               </item>
               <item row="0" column="1">
                <widget class="QLineEdit" name="lineEditIceIdentity">
                 <property name="text">
                  <string>KITProsthesisControl</string>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <layout class="QHBoxLayout" name="horizontalLayout_2">
              <item>
               <spacer name="horizontalSpacer_2">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
                <property name="sizeHint" stdset="0">
                 <size>
                  <width>40</width>
                  <height>20</height>
                 </size>
                </property>
               </spacer>
              </item>
              <item>
               <widget class="QPushButton" name="pushButtonIceDisconnect">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>Disconnect</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QPushButton" name="pushButtonIceConnect">
                <property name="sizePolicy">
                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                  <horstretch>0</horstretch>
                  <verstretch>0</verstretch>
                 </sizepolicy>
                </property>
                <property name="text">
                 <string>Connect</string>
                </property>
               </widget>
              </item>
             </layout>
            </item>
           </layout>
          </widget>
         </item>
         <item>
          <widget class="QGroupBox" name="groupBoxControl">
           <property name="title">
            <string>Control</string>
           </property>
           <property name="flat">
            <bool>false</bool>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
           <layout class="QGridLayout" name="gridLayout">
            <property name="topMargin">
             <number>0</number>
            </property>
            <property name="rightMargin">
             <number>0</number>
            </property>
            <property name="bottomMargin">
             <number>0</number>
            </property>
            <item row="0" column="1">
             <widget class="QWidget" name="widgetControl" native="true">
              <property name="enabled">
               <bool>false</bool>
              </property>
              <layout class="QGridLayout" name="gridLayout_2">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <property name="rightMargin">
                <number>0</number>
               </property>
               <property name="bottomMargin">
                <number>0</number>
               </property>
               <item row="1" column="1">
                <widget class="QLabel" name="label_14">
                 <property name="text">
                  <string>Position</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="3">
                <widget class="QSpinBox" name="spinBoxThumbPWM"/>
               </item>
               <item row="4" column="0" colspan="5">
                <widget class="Line" name="line">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
                 </property>
                </widget>
               </item>
               <item row="2" column="0">
                <widget class="QLabel" name="label_11">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Thumb</string>
                 </property>
                </widget>
               </item>
               <item row="1" column="2">
                <widget class="QLabel" name="label_15">
                 <property name="text">
                  <string>Max Velocity</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="1">
                <widget class="QSpinBox" name="spinBoxThumbPos"/>
               </item>
               <item row="1" column="3">
                <widget class="QLabel" name="label_16">
                 <property name="text">
                  <string>Max PWM</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="2">
                <widget class="QSpinBox" name="spinBoxThumbVel"/>
               </item>
               <item row="3" column="3">
                <widget class="QSpinBox" name="spinBoxFingersPWM"/>
               </item>
               <item row="3" column="2">
                <widget class="QSpinBox" name="spinBoxFingersVel"/>
               </item>
               <item row="6" column="0">
                <widget class="QLabel" name="label_13">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Raw</string>
                 </property>
                </widget>
               </item>
               <item row="2" column="4">
                <widget class="QPushButton" name="pushButtonSendThumb">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Send</string>
                 </property>
                </widget>
               </item>
               <item row="3" column="0">
                <widget class="QLabel" name="label_12">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Fingers</string>
                 </property>
                </widget>
               </item>
               <item row="6" column="1" colspan="3">
                <widget class="QLineEdit" name="lineEditCommandRaw">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                </widget>
               </item>
               <item row="6" column="4">
                <widget class="QPushButton" name="pushButtonSendRaw">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Send</string>
                 </property>
                </widget>
               </item>
               <item row="3" column="1">
                <widget class="QSpinBox" name="spinBoxFingersPos"/>
               </item>
               <item row="3" column="4">
                <widget class="QPushButton" name="pushButtonSendFingers">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="text">
                  <string>Send</string>
                 </property>
                </widget>
               </item>
               <item row="5" column="0">
                <widget class="QLabel" name="label_17">
                 <property name="text">
                  <string>Grasp</string>
                 </property>
                </widget>
               </item>
               <item row="5" column="1" colspan="3">
                <widget class="QComboBox" name="comboBoxGrasp">
                 <item>
                  <property name="text">
                   <string>G0 - Open hand</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G1 - Close hand</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G2 - Close hand - fast + full power</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G3 - Preshape powergrasp</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G4 - Preshape of fingers</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G5 - slow Preshape</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G6 - Close hand- slowly + full power</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G7 -  very slow preshape</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>G8 - reserved</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item row="5" column="4">
                <widget class="QPushButton" name="pushButtonSendGrasp">
                 <property name="text">
                  <string>Send</string>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
           </layout>
          </widget>
         </item>
         <item>
          <widget class="QGroupBox" name="groupBoxSensor">
           <property name="title">
            <string>Sensor</string>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_4">
            <property name="topMargin">
             <number>0</number>
            </property>
            <property name="rightMargin">
             <number>0</number>
            </property>
            <property name="bottomMargin">
             <number>0</number>
            </property>
           </layout>
          </widget>
         </item>
         <item>
          <widget class="QWidget" name="widgetSensors" native="true">
           <property name="enabled">
            <bool>false</bool>
           </property>
           <layout class="QFormLayout" name="formLayout_3">
            <property name="leftMargin">
             <number>0</number>
            </property>
            <property name="topMargin">
             <number>0</number>
            </property>
            <property name="rightMargin">
             <number>0</number>
            </property>
            <property name="bottomMargin">
             <number>0</number>
            </property>
            <item row="0" column="0">
             <widget class="QLabel" name="label_7">
              <property name="text">
               <string>Fingers PWM</string>
              </property>
             </widget>
            </item>
            <item row="0" column="1">
             <widget class="QLabel" name="labelFingersPWM">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="1" column="0">
             <widget class="QLabel" name="label_8">
              <property name="text">
               <string>Fingers Pos.</string>
              </property>
             </widget>
            </item>
            <item row="1" column="1">
             <widget class="QLabel" name="labelFingersPos">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="2" column="0">
             <widget class="QLabel" name="label_9">
              <property name="text">
               <string>Thumb PWM</string>
              </property>
             </widget>
            </item>
            <item row="2" column="1">
             <widget class="QLabel" name="labelThumbPWM">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="3" column="0">
             <widget class="QLabel" name="label_10">
              <property name="text">
               <string>Thumb Pos</string>
              </property>
             </widget>
            </item>
            <item row="3" column="1">
             <widget class="QLabel" name="labelThumbPos">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="4" column="0">
             <widget class="QLabel" name="label_21">
              <property name="text">
               <string>IMU Roll</string>
              </property>
             </widget>
            </item>
            <item row="4" column="1">
             <widget class="QLabel" name="labelIMURoll">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="5" column="0">
             <widget class="QLabel" name="label_23">
              <property name="text">
               <string>IMU Pitch</string>
              </property>
             </widget>
            </item>
            <item row="5" column="1">
             <widget class="QLabel" name="labelIMUPitch">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="6" column="0">
             <widget class="QLabel" name="label_25">
              <property name="text">
               <string>IMU Yaw</string>
              </property>
             </widget>
            </item>
            <item row="6" column="1">
             <widget class="QLabel" name="labelIMUYaw">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
            <item row="7" column="0">
             <widget class="QLabel" name="label_22">
              <property name="text">
               <string>Distance</string>
              </property>
             </widget>
            </item>
            <item row="7" column="1">
             <widget class="QLabel" name="labelTimeOfFlight">
              <property name="text">
               <string>---</string>
              </property>
             </widget>
            </item>
           </layout>
          </widget>
         </item>
         <item>
          <spacer name="verticalSpacer">
           <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
             <height>40</height>
            </size>
           </property>
          </spacer>
         </item>
        </layout>
       </widget>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
  <widget class="QToolBar" name="mainToolBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>8</width>
     <height>17</height>
    </rect>
   </property>
  </widget>
  <widget class="QStatusBar" name="statusBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>3</width>
     <height>22</height>
    </rect>
   </property>
  </widget>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <resources/>
 <connections>
  <connection>
   <sender>groupBoxControl</sender>
   <signal>clicked(bool)</signal>
   <receiver>widgetControl</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>60</x>
     <y>484</y>
    </hint>
    <hint type="destinationlabel">
     <x>68</x>
     <y>468</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>groupBoxSensor</sender>
   <signal>clicked(bool)</signal>
   <receiver>widgetSensors</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>59</x>
     <y>650</y>
    </hint>
    <hint type="destinationlabel">
     <x>154</x>
     <y>706</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>groupBox</sender>
   <signal>clicked(bool)</signal>
   <receiver>widget_3</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>65</x>
     <y>35</y>
    </hint>
    <hint type="destinationlabel">
     <x>125</x>
     <y>66</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>groupBoxIce</sender>
   <signal>clicked(bool)</signal>
   <receiver>widget_4</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>69</x>
     <y>268</y>
    </hint>
    <hint type="destinationlabel">
     <x>457</x>
     <y>285</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
